
What is Sfinx ?

 Sfinx is personal knowledge/data manager, which can manage your private data
like contacts, events, notes, files, tasks, know-how, etc. Each data item is
wired by user defined abstract category - slice. Slices are category hierarchy
that you can build/define for your own needs, for ex. :

............... Slice tree example ..............
 Root  ____
      |    \
      |     Texts-----------Manuals-------Food---Wine
      |         |              \__________Auto---Mitsubishi
      |         Books-------Fantastic-----Clifford Donald Simak
      |           |             \_________Strugatskie
      |           |\________Programming---Asm
      |           |             |_________C
      |           |             |_________C++
      |           |             \_________Prolog
      |           \_________ChipMaking----FPGA
      |\                          \______Microcontrollers
      | Music--Rock---------Alice
      |   |      \__________Tequilla Jazz
      |   |       \_________Legendarnie Plastilinovie Nogi
      |   \_____Meditation--Karunesh
      |    \----Jazz--------Nino Katamadze
      \     \___Light-------Zero 7
       People---Friends-----Me
           |----Teachers----Devraha Baba
           \____Famous------Tesla
                  |---------Leonardo da Vinci
                  \_________Linus Torvalds
.................................................

 Any data item is connected to some slice, but you can freely add, edit,
delete or reconnect them as the life changed. So the items can be connected
to each other - events can be connected to contacts, contacts to tasks, tasks
to data source, know-how or notes, and so on. Additional tags, which can be
slices or other Sfinx objects can be attached to this item too - so any data
you enter to Sfinx can be cross-connected with any other data or abstract
category. Search engine will help you to navigate in this info ocean, so you
can be more precise in your everyday tasks, and give the freed time to your
dreams. See more in user manual.

Copyright & Licensing

 Sfinx authorship: Copyright (C) 2007, Rus V. Brushkoff, All rights reserved.
Sfinx comes with free source code and available under the terms of the GNU
Library General Public License. However it can be used in commercial software
or some proprietary modules can be build for it - with above copyright
retained. If you would like to negotiate alternate licensing terms, you may
do so by contacting the author.

Getting, building and installing

 See INSTALL file and Recources below.

Docs

 To be written ...

Status and plans

 See STATUS file.

Support and reporting bugs

 For now I have no time for support, so bug reports accepted only in patch
form. Please send me something constructive - patches, ideas, beer, etc. -
any other thing that can take my energy or time will be thrown to /dev/null.
 Sorry for inconvenience.

Resources

 HomePage:      http://sfinx.od.ua/index.php?id=sfinx
 Git:           git://sfinx.od.ua/Harbour/sfinx
 GitWeb:        http://sfinx.od.ua/git/?p=Harbour/sfinx/.git;a=summary
 Email:         Rus V. Brushkoff <Rus at Sfinx.Od.UA>
